// tcl wrapper for vtkSurfaceLICPainter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSurfaceLICPainter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSurfaceLICPainterNewCommand()
{
  vtkSurfaceLICPainter *temp = vtkSurfaceLICPainter::New();
  return static_cast<ClientData>(temp);
}

int vtkPainterCppCommand(vtkPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSurfaceLICPainterCppCommand(vtkSurfaceLICPainter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkSurfaceLICPainterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSurfaceLICPainterCppCommand(static_cast<vtkSurfaceLICPainter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSurfaceLICPainter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkSurfaceLICPainter"),vtkSurfaceLICPainterNewCommand,vtkSurfaceLICPainterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkSurfaceLICPainterCppCommand(vtkSurfaceLICPainter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSurfaceLICPainter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPainterCppCommand(static_cast<vtkPainter *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPainter"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSurfaceLICPainter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSurfaceLICPainter");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSurfaceLICPainter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSurfaceLICPainter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSurfaceLICPainter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSurfaceLICPainter");
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutput",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("SetEnable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEnableOn",argv[1]))&&(argc == 2))
    {
    op->SetEnableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnableOff",argv[1]))&&(argc == 2))
    {
    op->SetEnableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputArrayToProcess",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetInputArrayToProcess(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfSteps",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStepSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetStepSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStepSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStepSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizeVectors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalizeVectors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("NormalizeVectorsOn",argv[1]))&&(argc == 2))
    {
    op->NormalizeVectorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalizeVectorsOff",argv[1]))&&(argc == 2))
    {
    op->NormalizeVectorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNormalizeVectors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalizeVectors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaskOnSurface",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaskOnSurface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MaskOnSurfaceOn",argv[1]))&&(argc == 2))
    {
    op->MaskOnSurfaceOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaskOnSurfaceOff",argv[1]))&&(argc == 2))
    {
    op->MaskOnSurfaceOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMaskOnSurface",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaskOnSurface();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaskThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaskThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaskThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaskThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaskColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetMaskColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaskColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetMaskColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMaskIntensity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaskIntensity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaskIntensity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaskIntensity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEnhancedLIC",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnhancedLIC(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnhancedLIC",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnhancedLIC();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnhancedLICOn",argv[1]))&&(argc == 2))
    {
    op->EnhancedLICOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnhancedLICOff",argv[1]))&&(argc == 2))
    {
    op->EnhancedLICOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnhanceContrast",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnhanceContrast(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnhanceContrast",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnhanceContrast();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLowLICContrastEnhancementFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLowLICContrastEnhancementFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHighLICContrastEnhancementFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHighLICContrastEnhancementFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLowLICContrastEnhancementFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLowLICContrastEnhancementFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHighLICContrastEnhancementFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHighLICContrastEnhancementFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLowColorContrastEnhancementFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLowColorContrastEnhancementFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHighColorContrastEnhancementFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHighColorContrastEnhancementFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLowColorContrastEnhancementFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLowColorContrastEnhancementFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHighColorContrastEnhancementFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHighColorContrastEnhancementFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAntiAlias",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAntiAlias(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AntiAliasOn",argv[1]))&&(argc == 2))
    {
    op->AntiAliasOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AntiAliasOff",argv[1]))&&(argc == 2))
    {
    op->AntiAliasOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAntiAlias",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAntiAlias();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLICIntensity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLICIntensity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLICIntensity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLICIntensity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMapModeBias",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMapModeBias(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMapModeBias",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMapModeBias();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNoiseDataSet",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetNoiseDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNoiseDataSet",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetNoiseDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateNoiseTexture",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateNoiseTexture(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateNoiseTexture",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateNoiseTexture();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNoiseType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNoiseType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNoiseType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNoiseType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNoiseTextureSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNoiseTextureSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNoiseTextureSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNoiseTextureSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNoiseGrainSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNoiseGrainSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNoiseGrainSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNoiseGrainSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinNoiseValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinNoiseValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaxNoiseValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaxNoiseValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinNoiseValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinNoiseValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxNoiseValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxNoiseValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfNoiseLevels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfNoiseLevels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfNoiseLevels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNoiseLevels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImpulseNoiseProbability",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImpulseNoiseProbability(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImpulseNoiseProbability",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetImpulseNoiseProbability();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImpulseNoiseBackgroundValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImpulseNoiseBackgroundValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImpulseNoiseBackgroundValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetImpulseNoiseBackgroundValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNoiseGeneratorSeed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNoiseGeneratorSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNoiseGeneratorSeed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNoiseGeneratorSeed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCompositeStrategy",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCompositeStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompositeStrategy",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompositeStrategy();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsSupported",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("WriteTimerLog",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->WriteTimerLog(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSurfaceLICPainterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPainterCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSurfaceLICPainter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutput\n",NULL);
    Tcl_AppendResult(interp,"  SetEnable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnable\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableOn\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInputArrayToProcess\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetStepSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStepSize\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizeVectors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeVectorsOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalizeVectorsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizeVectors\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskOnSurface\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MaskOnSurfaceOn\n",NULL);
    Tcl_AppendResult(interp,"  MaskOnSurfaceOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskOnSurface\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskColor\n",NULL);
    Tcl_AppendResult(interp,"  SetMaskIntensity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaskIntensity\n",NULL);
    Tcl_AppendResult(interp,"  SetEnhancedLIC\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnhancedLIC\n",NULL);
    Tcl_AppendResult(interp,"  EnhancedLICOn\n",NULL);
    Tcl_AppendResult(interp,"  EnhancedLICOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEnhanceContrast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnhanceContrast\n",NULL);
    Tcl_AppendResult(interp,"  GetLowLICContrastEnhancementFactor\n",NULL);
    Tcl_AppendResult(interp,"  GetHighLICContrastEnhancementFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetLowLICContrastEnhancementFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHighLICContrastEnhancementFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLowColorContrastEnhancementFactor\n",NULL);
    Tcl_AppendResult(interp,"  GetHighColorContrastEnhancementFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetLowColorContrastEnhancementFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHighColorContrastEnhancementFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAntiAlias\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AntiAliasOn\n",NULL);
    Tcl_AppendResult(interp,"  AntiAliasOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAntiAlias\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMode\n",NULL);
    Tcl_AppendResult(interp,"  SetLICIntensity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLICIntensity\n",NULL);
    Tcl_AppendResult(interp,"  SetMapModeBias\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMapModeBias\n",NULL);
    Tcl_AppendResult(interp,"  SetNoiseDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNoiseDataSet\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateNoiseTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateNoiseTexture\n",NULL);
    Tcl_AppendResult(interp,"  SetNoiseType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNoiseType\n",NULL);
    Tcl_AppendResult(interp,"  SetNoiseTextureSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNoiseTextureSize\n",NULL);
    Tcl_AppendResult(interp,"  SetNoiseGrainSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNoiseGrainSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMinNoiseValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxNoiseValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinNoiseValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxNoiseValue\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfNoiseLevels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNoiseLevels\n",NULL);
    Tcl_AppendResult(interp,"  SetImpulseNoiseProbability\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImpulseNoiseProbability\n",NULL);
    Tcl_AppendResult(interp,"  SetImpulseNoiseBackgroundValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImpulseNoiseBackgroundValue\n",NULL);
    Tcl_AppendResult(interp,"  SetNoiseGeneratorSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNoiseGeneratorSeed\n",NULL);
    Tcl_AppendResult(interp,"  SetCompositeStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeStrategy\n",NULL);
    Tcl_AppendResult(interp,"  IsSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WriteTimerLog\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPainterCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    Tcl_DStringAppendElement ( &dString, "SetEnable" );
    Tcl_DStringAppendElement ( &dString, "GetEnable" );
    Tcl_DStringAppendElement ( &dString, "SetEnableOn" );
    Tcl_DStringAppendElement ( &dString, "SetEnableOff" );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSteps" );
    Tcl_DStringAppendElement ( &dString, "SetStepSize" );
    Tcl_DStringAppendElement ( &dString, "GetStepSize" );
    Tcl_DStringAppendElement ( &dString, "SetNormalizeVectors" );
    Tcl_DStringAppendElement ( &dString, "NormalizeVectorsOn" );
    Tcl_DStringAppendElement ( &dString, "NormalizeVectorsOff" );
    Tcl_DStringAppendElement ( &dString, "GetNormalizeVectors" );
    Tcl_DStringAppendElement ( &dString, "SetMaskOnSurface" );
    Tcl_DStringAppendElement ( &dString, "MaskOnSurfaceOn" );
    Tcl_DStringAppendElement ( &dString, "MaskOnSurfaceOff" );
    Tcl_DStringAppendElement ( &dString, "GetMaskOnSurface" );
    Tcl_DStringAppendElement ( &dString, "SetMaskThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetMaskThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetMaskColor" );
    Tcl_DStringAppendElement ( &dString, "GetMaskColor" );
    Tcl_DStringAppendElement ( &dString, "SetMaskIntensity" );
    Tcl_DStringAppendElement ( &dString, "GetMaskIntensity" );
    Tcl_DStringAppendElement ( &dString, "SetEnhancedLIC" );
    Tcl_DStringAppendElement ( &dString, "GetEnhancedLIC" );
    Tcl_DStringAppendElement ( &dString, "EnhancedLICOn" );
    Tcl_DStringAppendElement ( &dString, "EnhancedLICOff" );
    Tcl_DStringAppendElement ( &dString, "SetEnhanceContrast" );
    Tcl_DStringAppendElement ( &dString, "GetEnhanceContrast" );
    Tcl_DStringAppendElement ( &dString, "GetLowLICContrastEnhancementFactor" );
    Tcl_DStringAppendElement ( &dString, "GetHighLICContrastEnhancementFactor" );
    Tcl_DStringAppendElement ( &dString, "SetLowLICContrastEnhancementFactor" );
    Tcl_DStringAppendElement ( &dString, "SetHighLICContrastEnhancementFactor" );
    Tcl_DStringAppendElement ( &dString, "GetLowColorContrastEnhancementFactor" );
    Tcl_DStringAppendElement ( &dString, "GetHighColorContrastEnhancementFactor" );
    Tcl_DStringAppendElement ( &dString, "SetLowColorContrastEnhancementFactor" );
    Tcl_DStringAppendElement ( &dString, "SetHighColorContrastEnhancementFactor" );
    Tcl_DStringAppendElement ( &dString, "SetAntiAlias" );
    Tcl_DStringAppendElement ( &dString, "AntiAliasOn" );
    Tcl_DStringAppendElement ( &dString, "AntiAliasOff" );
    Tcl_DStringAppendElement ( &dString, "GetAntiAlias" );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    Tcl_DStringAppendElement ( &dString, "SetLICIntensity" );
    Tcl_DStringAppendElement ( &dString, "GetLICIntensity" );
    Tcl_DStringAppendElement ( &dString, "SetMapModeBias" );
    Tcl_DStringAppendElement ( &dString, "GetMapModeBias" );
    Tcl_DStringAppendElement ( &dString, "SetNoiseDataSet" );
    Tcl_DStringAppendElement ( &dString, "GetNoiseDataSet" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateNoiseTexture" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateNoiseTexture" );
    Tcl_DStringAppendElement ( &dString, "SetNoiseType" );
    Tcl_DStringAppendElement ( &dString, "GetNoiseType" );
    Tcl_DStringAppendElement ( &dString, "SetNoiseTextureSize" );
    Tcl_DStringAppendElement ( &dString, "GetNoiseTextureSize" );
    Tcl_DStringAppendElement ( &dString, "SetNoiseGrainSize" );
    Tcl_DStringAppendElement ( &dString, "GetNoiseGrainSize" );
    Tcl_DStringAppendElement ( &dString, "SetMinNoiseValue" );
    Tcl_DStringAppendElement ( &dString, "SetMaxNoiseValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinNoiseValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxNoiseValue" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfNoiseLevels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNoiseLevels" );
    Tcl_DStringAppendElement ( &dString, "SetImpulseNoiseProbability" );
    Tcl_DStringAppendElement ( &dString, "GetImpulseNoiseProbability" );
    Tcl_DStringAppendElement ( &dString, "SetImpulseNoiseBackgroundValue" );
    Tcl_DStringAppendElement ( &dString, "GetImpulseNoiseBackgroundValue" );
    Tcl_DStringAppendElement ( &dString, "SetNoiseGeneratorSeed" );
    Tcl_DStringAppendElement ( &dString, "GetNoiseGeneratorSeed" );
    Tcl_DStringAppendElement ( &dString, "SetCompositeStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetCompositeStrategy" );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    Tcl_DStringAppendElement ( &dString, "WriteTimerLog" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPainterCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkSurfaceLICPainter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release. In this case, releases the display lists.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *win);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutput */
    if ( strcmp ( argv[2], "GetOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutput */
    Tcl_DStringAppendElement ( &dString, " Get the output data object from this painter.\n Overridden to pass the input points (or cells) vectors as the tcoords to\n the deletage painters. This is required by the internal GLSL shader\n programs used for generating LIC.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataObject *GetOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnable */
    if ( strcmp ( argv[2], "SetEnable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnable */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable this painter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnable(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetEnable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnable */
    if ( strcmp ( argv[2], "GetEnable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnable */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable this painter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnable();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetEnable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableOn */
    if ( strcmp ( argv[2], "SetEnableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable this painter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetEnableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableOff */
    if ( strcmp ( argv[2], "SetEnableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable this painter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetEnableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputArrayToProcess */
    if ( strcmp ( argv[2], "SetInputArrayToProcess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputArrayToProcess */
    Tcl_DStringAppendElement ( &dString, " Set the vectors to used for applying LIC. By default point vectors are\n used. Arguments are same as those passed to\n vtkAlgorithm::SetInputArrayToProcess except the first 3 arguments i.e. idx,\n port, connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputArrayToProcess(int fieldAssociation, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetInputArrayToProcess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputArrayToProcess */
    if ( strcmp ( argv[2], "SetInputArrayToProcess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputArrayToProcess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputArrayToProcess */
    Tcl_DStringAppendElement ( &dString, " Set the vectors to used for applying LIC. By default point vectors are\n used. Arguments are same as those passed to\n vtkAlgorithm::SetInputArrayToProcess except the first 3 arguments i.e. idx,\n port, connection.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputArrayToProcess(int fieldAssociation, int fieldAttributeType);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetInputArrayToProcess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfSteps */
    if ( strcmp ( argv[2], "SetNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of integration steps in each direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfSteps(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSteps */
    if ( strcmp ( argv[2], "GetNumberOfSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSteps */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of integration steps in each direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetNumberOfSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStepSize */
    if ( strcmp ( argv[2], "SetStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStepSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the step size (in pixels).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStepSize(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStepSize */
    if ( strcmp ( argv[2], "GetStepSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStepSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStepSize */
    Tcl_DStringAppendElement ( &dString, " Get/Set the step size (in pixels).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStepSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetStepSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalizeVectors */
    if ( strcmp ( argv[2], "SetNormalizeVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalizeVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalizeVectors */
    Tcl_DStringAppendElement ( &dString, " Normalize vectors during integration. When set(the default) the\n input vector field is normalized during integration, and each\n integration occurs over the same arclength. When not set each\n integration occurs over an arc length proportional to the field\n magnitude as is customary in traditional numerical methods. See,\n \"Imaging Vector Fields Using Line Integral Convolution\" for an\n axample where normalization is used. See, \"Image Space Based\n Visualization of Uns ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalizeVectors(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetNormalizeVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalizeVectorsOn */
    if ( strcmp ( argv[2], "NormalizeVectorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalizeVectorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalizeVectorsOn */
    Tcl_DStringAppendElement ( &dString, " Normalize vectors during integration. When set(the default) the\n input vector field is normalized during integration, and each\n integration occurs over the same arclength. When not set each\n integration occurs over an arc length proportional to the field\n magnitude as is customary in traditional numerical methods. See,\n \"Imaging Vector Fields Using Line Integral Convolution\" for an\n axample where normalization is used. See, \"Image Space Based\n Visualization of Uns ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalizeVectorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for NormalizeVectorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalizeVectorsOff */
    if ( strcmp ( argv[2], "NormalizeVectorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalizeVectorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalizeVectorsOff */
    Tcl_DStringAppendElement ( &dString, " Normalize vectors during integration. When set(the default) the\n input vector field is normalized during integration, and each\n integration occurs over the same arclength. When not set each\n integration occurs over an arc length proportional to the field\n magnitude as is customary in traditional numerical methods. See,\n \"Imaging Vector Fields Using Line Integral Convolution\" for an\n axample where normalization is used. See, \"Image Space Based\n Visualization of Uns ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalizeVectorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for NormalizeVectorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalizeVectors */
    if ( strcmp ( argv[2], "GetNormalizeVectors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalizeVectors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalizeVectors */
    Tcl_DStringAppendElement ( &dString, " Normalize vectors during integration. When set(the default) the\n input vector field is normalized during integration, and each\n integration occurs over the same arclength. When not set each\n integration occurs over an arc length proportional to the field\n magnitude as is customary in traditional numerical methods. See,\n \"Imaging Vector Fields Using Line Integral Convolution\" for an\n axample where normalization is used. See, \"Image Space Based\n Visualization of Uns ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalizeVectors();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetNormalizeVectors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskOnSurface */
    if ( strcmp ( argv[2], "SetMaskOnSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskOnSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskOnSurface */
    Tcl_DStringAppendElement ( &dString, " When set MaskOnSurface computes |V| for use in the fragment masking\n tests on the surface. When not set the original un-projected\n un-transformed |V| is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskOnSurface(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetMaskOnSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaskOnSurfaceOn */
    if ( strcmp ( argv[2], "MaskOnSurfaceOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaskOnSurfaceOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaskOnSurfaceOn */
    Tcl_DStringAppendElement ( &dString, " When set MaskOnSurface computes |V| for use in the fragment masking\n tests on the surface. When not set the original un-projected\n un-transformed |V| is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaskOnSurfaceOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for MaskOnSurfaceOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MaskOnSurfaceOff */
    if ( strcmp ( argv[2], "MaskOnSurfaceOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MaskOnSurfaceOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MaskOnSurfaceOff */
    Tcl_DStringAppendElement ( &dString, " When set MaskOnSurface computes |V| for use in the fragment masking\n tests on the surface. When not set the original un-projected\n un-transformed |V| is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void MaskOnSurfaceOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for MaskOnSurfaceOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskOnSurface */
    if ( strcmp ( argv[2], "GetMaskOnSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskOnSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskOnSurface */
    Tcl_DStringAppendElement ( &dString, " When set MaskOnSurface computes |V| for use in the fragment masking\n tests on the surface. When not set the original un-projected\n un-transformed |V| is used.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaskOnSurface();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetMaskOnSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskThreshold */
    if ( strcmp ( argv[2], "SetMaskThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskThreshold */
    Tcl_DStringAppendElement ( &dString, " The MaskThreshold controls the rendering of fragments in stagnant\n regions of flow.  // In these regions LIC noise texture will be masked,\n where |V| < MaskThreshold is satisifed. The masking process blends a\n the MaskColor with the scalar color of the surface proportional to\n MaskIntesnsity. See MaskIntensity for more information on the blending\n algorithm. This blending allows one control over the masking process\n so that masked fragments may be: highlighted (by set ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskThreshold(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetMaskThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskThreshold */
    if ( strcmp ( argv[2], "GetMaskThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskThreshold */
    Tcl_DStringAppendElement ( &dString, " The MaskThreshold controls the rendering of fragments in stagnant\n regions of flow.  // In these regions LIC noise texture will be masked,\n where |V| < MaskThreshold is satisifed. The masking process blends a\n the MaskColor with the scalar color of the surface proportional to\n MaskIntesnsity. See MaskIntensity for more information on the blending\n algorithm. This blending allows one control over the masking process\n so that masked fragments may be: highlighted (by set ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaskThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetMaskThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskColor */
    if ( strcmp ( argv[2], "SetMaskColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskColor */
    Tcl_DStringAppendElement ( &dString, " The MaskColor is used on masked fragments. The default of (0.5, 0.5, 0.5)\n makes the masked fragments look similar to the LIC'd fragments. The mask\n color is applied only when MaskIntensity > 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskColor(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetMaskColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskColor */
    if ( strcmp ( argv[2], "GetMaskColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetMaskColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetMaskColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaskIntensity */
    if ( strcmp ( argv[2], "SetMaskIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaskIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaskIntensity */
    Tcl_DStringAppendElement ( &dString, " The MaskIntensity controls the blending of the mask color and the geometry\n color. The color of masked fragments is given by:\n\n     c = maskColor * maskIntensity + geomColor * (1 - maskIntensity)\n\n The default value of 0.0 results in the geometry color being used.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaskIntensity(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetMaskIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaskIntensity */
    if ( strcmp ( argv[2], "GetMaskIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaskIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaskIntensity */
    Tcl_DStringAppendElement ( &dString, " The MaskIntensity controls the blending of the mask color and the geometry\n color. The color of masked fragments is given by:\n\n     c = maskColor * maskIntensity + geomColor * (1 - maskIntensity)\n\n The default value of 0.0 results in the geometry color being used.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaskIntensity();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetMaskIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnhancedLIC */
    if ( strcmp ( argv[2], "SetEnhancedLIC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnhancedLIC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnhancedLIC */
    Tcl_DStringAppendElement ( &dString, " EnhancedLIC mean compute the LIC twice with the second pass using\n the edge-enhanced result of the first pass as a noise texture. Edge\n enhancedment is made by a simple Laplace convolution.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnhancedLIC(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetEnhancedLIC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnhancedLIC */
    if ( strcmp ( argv[2], "GetEnhancedLIC" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnhancedLIC" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnhancedLIC */
    Tcl_DStringAppendElement ( &dString, " EnhancedLIC mean compute the LIC twice with the second pass using\n the edge-enhanced result of the first pass as a noise texture. Edge\n enhancedment is made by a simple Laplace convolution.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnhancedLIC();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetEnhancedLIC */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnhancedLICOn */
    if ( strcmp ( argv[2], "EnhancedLICOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnhancedLICOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnhancedLICOn */
    Tcl_DStringAppendElement ( &dString, " EnhancedLIC mean compute the LIC twice with the second pass using\n the edge-enhanced result of the first pass as a noise texture. Edge\n enhancedment is made by a simple Laplace convolution.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnhancedLICOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for EnhancedLICOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnhancedLICOff */
    if ( strcmp ( argv[2], "EnhancedLICOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnhancedLICOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnhancedLICOff */
    Tcl_DStringAppendElement ( &dString, " EnhancedLIC mean compute the LIC twice with the second pass using\n the edge-enhanced result of the first pass as a noise texture. Edge\n enhancedment is made by a simple Laplace convolution.\n" );
    Tcl_DStringAppendElement ( &dString, "void EnhancedLICOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for EnhancedLICOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnhanceContrast */
    if ( strcmp ( argv[2], "SetEnhanceContrast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnhanceContrast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnhanceContrast */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable contrast and dynamic range correction stages. Contrast\n enhancement can be enabled during LIC computations (See\n vtkLineINtegralComvolution2D) and after the scalar colors have been\n combined with the LIC.\n\n The best appraoch for using this feature is to enable LIC enhancement,\n and only if the image is to dark or dull enable COLOR enhancement.\n\n Both stages are implemented by a histogram stretching algorithm. During\n LIC stages the contrast enhanceme ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnhanceContrast(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetEnhanceContrast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnhanceContrast */
    if ( strcmp ( argv[2], "GetEnhanceContrast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnhanceContrast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnhanceContrast */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable contrast and dynamic range correction stages. Contrast\n enhancement can be enabled during LIC computations (See\n vtkLineINtegralComvolution2D) and after the scalar colors have been\n combined with the LIC.\n\n The best appraoch for using this feature is to enable LIC enhancement,\n and only if the image is to dark or dull enable COLOR enhancement.\n\n Both stages are implemented by a histogram stretching algorithm. During\n LIC stages the contrast enhanceme ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnhanceContrast();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetEnhanceContrast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLowLICContrastEnhancementFactor */
    if ( strcmp ( argv[2], "GetLowLICContrastEnhancementFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLowLICContrastEnhancementFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLowLICContrastEnhancementFactor */
    Tcl_DStringAppendElement ( &dString, " This feature is used to fine tune the contrast enhancement. There are two\n modes AUTOMATIC and MANUAL.In AUTOMATIC mode values are provided indicating\n the fraction of the range to adjust M and m by, during contrast enahncement\n histogram stretching. M and m are the intensity/lightness values that map\n to 1 and 0. (see EnhanceContrast for an explanation of the mapping\n procedure). m and M are computed using the factors as follows:\n\n     m = min(C) + mFactor * (max(C) ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLowLICContrastEnhancementFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetLowLICContrastEnhancementFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHighLICContrastEnhancementFactor */
    if ( strcmp ( argv[2], "GetHighLICContrastEnhancementFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHighLICContrastEnhancementFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHighLICContrastEnhancementFactor */
    Tcl_DStringAppendElement ( &dString, " This feature is used to fine tune the contrast enhancement. There are two\n modes AUTOMATIC and MANUAL.In AUTOMATIC mode values are provided indicating\n the fraction of the range to adjust M and m by, during contrast enahncement\n histogram stretching. M and m are the intensity/lightness values that map\n to 1 and 0. (see EnhanceContrast for an explanation of the mapping\n procedure). m and M are computed using the factors as follows:\n\n     m = min(C) + mFactor * (max(C) ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHighLICContrastEnhancementFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetHighLICContrastEnhancementFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLowLICContrastEnhancementFactor */
    if ( strcmp ( argv[2], "SetLowLICContrastEnhancementFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLowLICContrastEnhancementFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLowLICContrastEnhancementFactor */
    Tcl_DStringAppendElement ( &dString, " This feature is used to fine tune the contrast enhancement. There are two\n modes AUTOMATIC and MANUAL.In AUTOMATIC mode values are provided indicating\n the fraction of the range to adjust M and m by, during contrast enahncement\n histogram stretching. M and m are the intensity/lightness values that map\n to 1 and 0. (see EnhanceContrast for an explanation of the mapping\n procedure). m and M are computed using the factors as follows:\n\n     m = min(C) + mFactor * (max(C) ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLowLICContrastEnhancementFactor(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetLowLICContrastEnhancementFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHighLICContrastEnhancementFactor */
    if ( strcmp ( argv[2], "SetHighLICContrastEnhancementFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHighLICContrastEnhancementFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHighLICContrastEnhancementFactor */
    Tcl_DStringAppendElement ( &dString, " This feature is used to fine tune the contrast enhancement. There are two\n modes AUTOMATIC and MANUAL.In AUTOMATIC mode values are provided indicating\n the fraction of the range to adjust M and m by, during contrast enahncement\n histogram stretching. M and m are the intensity/lightness values that map\n to 1 and 0. (see EnhanceContrast for an explanation of the mapping\n procedure). m and M are computed using the factors as follows:\n\n     m = min(C) + mFactor * (max(C) ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHighLICContrastEnhancementFactor(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetHighLICContrastEnhancementFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLowColorContrastEnhancementFactor */
    if ( strcmp ( argv[2], "GetLowColorContrastEnhancementFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLowColorContrastEnhancementFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLowColorContrastEnhancementFactor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetLowColorContrastEnhancementFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetLowColorContrastEnhancementFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHighColorContrastEnhancementFactor */
    if ( strcmp ( argv[2], "GetHighColorContrastEnhancementFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHighColorContrastEnhancementFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHighColorContrastEnhancementFactor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetHighColorContrastEnhancementFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetHighColorContrastEnhancementFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLowColorContrastEnhancementFactor */
    if ( strcmp ( argv[2], "SetLowColorContrastEnhancementFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLowColorContrastEnhancementFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLowColorContrastEnhancementFactor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLowColorContrastEnhancementFactor(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetLowColorContrastEnhancementFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHighColorContrastEnhancementFactor */
    if ( strcmp ( argv[2], "SetHighColorContrastEnhancementFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHighColorContrastEnhancementFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHighColorContrastEnhancementFactor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHighColorContrastEnhancementFactor(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetHighColorContrastEnhancementFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAntiAlias */
    if ( strcmp ( argv[2], "SetAntiAlias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAntiAlias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAntiAlias */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the anti-aliasing pass. This optional pass (disabled by\n default) can be enabled to reduce jagged patterns in the final LIC image.\n Values greater than 0 control the number of iterations, 1 is typically\n sufficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAntiAlias(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetAntiAlias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AntiAliasOn */
    if ( strcmp ( argv[2], "AntiAliasOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AntiAliasOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AntiAliasOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the anti-aliasing pass. This optional pass (disabled by\n default) can be enabled to reduce jagged patterns in the final LIC image.\n Values greater than 0 control the number of iterations, 1 is typically\n sufficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void AntiAliasOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for AntiAliasOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AntiAliasOff */
    if ( strcmp ( argv[2], "AntiAliasOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AntiAliasOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AntiAliasOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the anti-aliasing pass. This optional pass (disabled by\n default) can be enabled to reduce jagged patterns in the final LIC image.\n Values greater than 0 control the number of iterations, 1 is typically\n sufficient.\n" );
    Tcl_DStringAppendElement ( &dString, "void AntiAliasOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for AntiAliasOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAntiAlias */
    if ( strcmp ( argv[2], "GetAntiAlias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAntiAlias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAntiAlias */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the anti-aliasing pass. This optional pass (disabled by\n default) can be enabled to reduce jagged patterns in the final LIC image.\n Values greater than 0 control the number of iterations, 1 is typically\n sufficient.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAntiAlias();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetAntiAlias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorMode */
    if ( strcmp ( argv[2], "SetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color mode. The color mode controls how scalar colors are\n combined with the LIC in the final image. The BLEND mode combines scalar\n colors with LIC intensities with proportional blending controled by the\n LICIntensity parameter. The MAP mode combines scalar colors with LIC,\n by multiplication the HSL represntation of color's lightness.\n\n The default is COLOR_MODE_BLEND.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorMode(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorMode */
    if ( strcmp ( argv[2], "GetColorMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the color mode. The color mode controls how scalar colors are\n combined with the LIC in the final image. The BLEND mode combines scalar\n colors with LIC intensities with proportional blending controled by the\n LICIntensity parameter. The MAP mode combines scalar colors with LIC,\n by multiplication the HSL represntation of color's lightness.\n\n The default is COLOR_MODE_BLEND.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetColorMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetColorMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLICIntensity */
    if ( strcmp ( argv[2], "SetLICIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLICIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLICIntensity */
    Tcl_DStringAppendElement ( &dString, " Factor used when blend mode is set to COLOR_MODE_BLEND. This controls the\n contribution of the LIC in the final output image as follows:\n\n   c = LIC * LICIntensity + scalar * (1 - LICIntensity);\n\n 0.0 produces same result as disabling LIC altogether, while 1.0 implies\n show LIC result alone.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLICIntensity(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetLICIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLICIntensity */
    if ( strcmp ( argv[2], "GetLICIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLICIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLICIntensity */
    Tcl_DStringAppendElement ( &dString, " Factor used when blend mode is set to COLOR_MODE_BLEND. This controls the\n contribution of the LIC in the final output image as follows:\n\n   c = LIC * LICIntensity + scalar * (1 - LICIntensity);\n\n 0.0 produces same result as disabling LIC altogether, while 1.0 implies\n show LIC result alone.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLICIntensity();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetLICIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMapModeBias */
    if ( strcmp ( argv[2], "SetMapModeBias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMapModeBias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMapModeBias */
    Tcl_DStringAppendElement ( &dString, " Factor used when blend mode is set to COLOR_MODE_MAP. This adds a bias to\n the LIC image. The purpose of this is to adjust the brightness when a\n brighter image is desired. The default of 0.0 results in no change. Values\n gretaer than 0.0 will brighten the image while values less than 0.0 darken\n the image.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMapModeBias(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetMapModeBias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMapModeBias */
    if ( strcmp ( argv[2], "GetMapModeBias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMapModeBias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMapModeBias */
    Tcl_DStringAppendElement ( &dString, " Factor used when blend mode is set to COLOR_MODE_MAP. This adds a bias to\n the LIC image. The purpose of this is to adjust the brightness when a\n brighter image is desired. The default of 0.0 results in no change. Values\n gretaer than 0.0 will brighten the image while values less than 0.0 darken\n the image.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMapModeBias();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetMapModeBias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNoiseDataSet */
    if ( strcmp ( argv[2], "SetNoiseDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoiseDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoiseDataSet */
    Tcl_DStringAppendElement ( &dString, " Set the data containing a noise array as active scalars. Active scalars\n array will be converted into a texture for use as noise in the LIC process.\n Noise datasets are expected to be gray scale.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNoiseDataSet(vtkImageData *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetNoiseDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNoiseDataSet */
    if ( strcmp ( argv[2], "GetNoiseDataSet" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNoiseDataSet" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNoiseDataSet */
    Tcl_DStringAppendElement ( &dString, " Set the data containing a noise array as active scalars. Active scalars\n array will be converted into a texture for use as noise in the LIC process.\n Noise datasets are expected to be gray scale.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetNoiseDataSet();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetNoiseDataSet */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateNoiseTexture */
    if ( strcmp ( argv[2], "SetGenerateNoiseTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateNoiseTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateNoiseTexture */
    Tcl_DStringAppendElement ( &dString, " Set/Get the noise texture source. When not set the default 200x200 white\n noise texture is used (see VTKData/Data/Data/noise.png). When set a noise\n texture is generated based on the following parameters:\n\n    NoiseType               - select noise type. Gaussian, Uniform, etc\n    NoiseTextureSize        - number of pixels in square noise texture(side)\n    NoiseGrainSize          - number of pixels each noise value spans(side)\n    MinNoiseValue           - minimum no ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateNoiseTexture(int shouldGenerate);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetGenerateNoiseTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateNoiseTexture */
    if ( strcmp ( argv[2], "GetGenerateNoiseTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateNoiseTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateNoiseTexture */
    Tcl_DStringAppendElement ( &dString, " Set/Get the noise texture source. When not set the default 200x200 white\n noise texture is used (see VTKData/Data/Data/noise.png). When set a noise\n texture is generated based on the following parameters:\n\n    NoiseType               - select noise type. Gaussian, Uniform, etc\n    NoiseTextureSize        - number of pixels in square noise texture(side)\n    NoiseGrainSize          - number of pixels each noise value spans(side)\n    MinNoiseValue           - minimum no ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateNoiseTexture();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetGenerateNoiseTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNoiseType */
    if ( strcmp ( argv[2], "SetNoiseType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoiseType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoiseType */
    Tcl_DStringAppendElement ( &dString, " Select the statistical distribution of randomly generated noise values.\n With uniform noise there is greater control over the range of values\n in the noise texture. The Default is NOISE_TYPE_GAUSSIAN.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNoiseType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetNoiseType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNoiseType */
    if ( strcmp ( argv[2], "GetNoiseType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNoiseType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNoiseType */
    Tcl_DStringAppendElement ( &dString, " Select the statistical distribution of randomly generated noise values.\n With uniform noise there is greater control over the range of values\n in the noise texture. The Default is NOISE_TYPE_GAUSSIAN.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNoiseType();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetNoiseType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNoiseTextureSize */
    if ( strcmp ( argv[2], "SetNoiseTextureSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoiseTextureSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoiseTextureSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the side length in pixels of the noise texture. The texture will\n be length^2 pixels in area.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNoiseTextureSize(int length);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetNoiseTextureSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNoiseTextureSize */
    if ( strcmp ( argv[2], "GetNoiseTextureSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNoiseTextureSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNoiseTextureSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the side length in pixels of the noise texture. The texture will\n be length^2 pixels in area.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNoiseTextureSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetNoiseTextureSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNoiseGrainSize */
    if ( strcmp ( argv[2], "SetNoiseGrainSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoiseGrainSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoiseGrainSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the side length in pixels of the noise values in the noise texture.\n Each noise value will be length^2 pixels in area.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNoiseGrainSize(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetNoiseGrainSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNoiseGrainSize */
    if ( strcmp ( argv[2], "GetNoiseGrainSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNoiseGrainSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNoiseGrainSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the side length in pixels of the noise values in the noise texture.\n Each noise value will be length^2 pixels in area.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNoiseGrainSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetNoiseGrainSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinNoiseValue */
    if ( strcmp ( argv[2], "SetMinNoiseValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinNoiseValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinNoiseValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum and mximum  gray scale values that the generated noise\n can take on. The generated noise will be in the range of MinNoiseValue to\n MaxNoiseValue. Values are clamped within 0 to 1. MinNoiseValue must be\n less than MaxNoiseValue.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinNoiseValue(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetMinNoiseValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxNoiseValue */
    if ( strcmp ( argv[2], "SetMaxNoiseValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxNoiseValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxNoiseValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum and mximum  gray scale values that the generated noise\n can take on. The generated noise will be in the range of MinNoiseValue to\n MaxNoiseValue. Values are clamped within 0 to 1. MinNoiseValue must be\n less than MaxNoiseValue.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxNoiseValue(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetMaxNoiseValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinNoiseValue */
    if ( strcmp ( argv[2], "GetMinNoiseValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinNoiseValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinNoiseValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum and mximum  gray scale values that the generated noise\n can take on. The generated noise will be in the range of MinNoiseValue to\n MaxNoiseValue. Values are clamped within 0 to 1. MinNoiseValue must be\n less than MaxNoiseValue.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinNoiseValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetMinNoiseValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxNoiseValue */
    if ( strcmp ( argv[2], "GetMaxNoiseValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxNoiseValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxNoiseValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the minimum and mximum  gray scale values that the generated noise\n can take on. The generated noise will be in the range of MinNoiseValue to\n MaxNoiseValue. Values are clamped within 0 to 1. MinNoiseValue must be\n less than MaxNoiseValue.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaxNoiseValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetMaxNoiseValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfNoiseLevels */
    if ( strcmp ( argv[2], "SetNumberOfNoiseLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfNoiseLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfNoiseLevels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of discrete values a noise pixel may take on. Default\n 1024.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfNoiseLevels(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetNumberOfNoiseLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNoiseLevels */
    if ( strcmp ( argv[2], "GetNumberOfNoiseLevels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNoiseLevels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNoiseLevels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of discrete values a noise pixel may take on. Default\n 1024.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNoiseLevels();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetNumberOfNoiseLevels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImpulseNoiseProbability */
    if ( strcmp ( argv[2], "SetImpulseNoiseProbability" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImpulseNoiseProbability" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImpulseNoiseProbability */
    Tcl_DStringAppendElement ( &dString, " Control the density of of the noise. A value of 1.0 produces uniform random\n noise while values < 1.0 produce impulse noise with the given probabilty.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImpulseNoiseProbability(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetImpulseNoiseProbability */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImpulseNoiseProbability */
    if ( strcmp ( argv[2], "GetImpulseNoiseProbability" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImpulseNoiseProbability" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImpulseNoiseProbability */
    Tcl_DStringAppendElement ( &dString, " Control the density of of the noise. A value of 1.0 produces uniform random\n noise while values < 1.0 produce impulse noise with the given probabilty.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetImpulseNoiseProbability();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetImpulseNoiseProbability */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImpulseNoiseBackgroundValue */
    if ( strcmp ( argv[2], "SetImpulseNoiseBackgroundValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImpulseNoiseBackgroundValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImpulseNoiseBackgroundValue */
    Tcl_DStringAppendElement ( &dString, " The color to use for untouched pixels when impulse noise probability < 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImpulseNoiseBackgroundValue(double val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetImpulseNoiseBackgroundValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImpulseNoiseBackgroundValue */
    if ( strcmp ( argv[2], "GetImpulseNoiseBackgroundValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImpulseNoiseBackgroundValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImpulseNoiseBackgroundValue */
    Tcl_DStringAppendElement ( &dString, " The color to use for untouched pixels when impulse noise probability < 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetImpulseNoiseBackgroundValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetImpulseNoiseBackgroundValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNoiseGeneratorSeed */
    if ( strcmp ( argv[2], "SetNoiseGeneratorSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNoiseGeneratorSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNoiseGeneratorSeed */
    Tcl_DStringAppendElement ( &dString, " Set/Get the seed value used by the random number generator.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNoiseGeneratorSeed(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetNoiseGeneratorSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNoiseGeneratorSeed */
    if ( strcmp ( argv[2], "GetNoiseGeneratorSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNoiseGeneratorSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNoiseGeneratorSeed */
    Tcl_DStringAppendElement ( &dString, " Set/Get the seed value used by the random number generator.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNoiseGeneratorSeed();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetNoiseGeneratorSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompositeStrategy */
    if ( strcmp ( argv[2], "SetCompositeStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompositeStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompositeStrategy */
    Tcl_DStringAppendElement ( &dString, " Control the screen space decomposition where LIC is computed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCompositeStrategy(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for SetCompositeStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositeStrategy */
    if ( strcmp ( argv[2], "GetCompositeStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositeStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositeStrategy */
    Tcl_DStringAppendElement ( &dString, " Control the screen space decomposition where LIC is computed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCompositeStrategy();" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for GetCompositeStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSupported */
    if ( strcmp ( argv[2], "IsSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSupported */
    Tcl_DStringAppendElement ( &dString, " Returns true if the rendering context supports extensions needed by this\n painter.\n" );
    Tcl_DStringAppendElement ( &dString, "static bool IsSupported(vtkRenderWindow *context);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for IsSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WriteTimerLog */
    if ( strcmp ( argv[2], "WriteTimerLog" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WriteTimerLog" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WriteTimerLog */
    Tcl_DStringAppendElement ( &dString, " Methods used for parallel benchmarks. Use cmake to define\n vtkSurfaceLICPainterTIME to enable benchmarks. During each\n update timing information is stored, it can be written to\n disk by calling WriteLog.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WriteTimerLog(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSurfaceLICPainter" );
    /* Closing for WriteTimerLog */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPainterCppCommand(static_cast<vtkPainter *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
