// tcl wrapper for vtkOpenGLExtensionManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLExtensionManager.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkOpenGLExtensionManagerNewCommand()
{
  vtkOpenGLExtensionManager *temp = vtkOpenGLExtensionManager::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOpenGLExtensionManagerCppCommand(vtkOpenGLExtensionManager *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkOpenGLExtensionManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOpenGLExtensionManagerCppCommand(static_cast<vtkOpenGLExtensionManager *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOpenGLExtensionManager_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkOpenGLExtensionManager"),vtkOpenGLExtensionManagerNewCommand,vtkOpenGLExtensionManagerCommand);
  return 0;
}

int VTKTCL_EXPORT vtkOpenGLExtensionManagerCppCommand(vtkOpenGLExtensionManager *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOpenGLExtensionManager",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOpenGLExtensionManager  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLExtensionManager");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOpenGLExtensionManager  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLExtensionManager");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOpenGLExtensionManager  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLExtensionManager");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetExtensionsString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetExtensionsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("ExtensionSupported",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->ExtensionSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadExtension",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LoadExtension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadSupportedExtension",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->LoadSupportedExtension(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadCorePromotedExtension",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LoadCorePromotedExtension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadAsARBExtension",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LoadAsARBExtension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDriverVersionMajor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDriverVersionMajor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDriverVersionMinor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDriverVersionMinor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDriverVersionPatch",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDriverVersionPatch();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDriverGLVersionMajor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDriverGLVersionMajor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDriverGLVersionMinor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDriverGLVersionMinor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDriverGLVersionPatch",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDriverGLVersionPatch();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DriverIsATI",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->DriverIsATI();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DriverIsNvidia",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->DriverIsNvidia();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DriverIsIntel",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->DriverIsIntel();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DriverIsMesa",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->DriverIsMesa();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DriverIsMicrosoft",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->DriverIsMicrosoft();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DriverVersionIs",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->DriverVersionIs(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverVersionIs",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->DriverVersionIs(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverVersionIs",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->DriverVersionIs(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverVersionAtLeast",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->DriverVersionAtLeast(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverVersionAtLeast",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->DriverVersionAtLeast(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverVersionAtLeast",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->DriverVersionAtLeast(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverGLVersionIs",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->DriverGLVersionIs(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverGLVersionIs",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->DriverGLVersionIs(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverGLRendererIs",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->DriverGLRendererIs(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverGLRendererHas",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->DriverGLRendererHas(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverGLRendererHasToken",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->DriverGLRendererHasToken(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DriverGLRendererIsOSMesa",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->DriverGLRendererIsOSMesa();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDriverGLVendor",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDriverGLVendor();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDriverGLVersion",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDriverGLVersion();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDriverGLRenderer",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDriverGLRenderer();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetIgnoreDriverBugs",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    bool   temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetIgnoreDriverBugs(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIgnoreDriverBugs",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetIgnoreDriverBugs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IgnoreDriverBugsOn",argv[1]))&&(argc == 2))
    {
    op->IgnoreDriverBugsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IgnoreDriverBugsOff",argv[1]))&&(argc == 2))
    {
    op->IgnoreDriverBugsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOpenGLExtensionManagerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOpenGLExtensionManager:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  GetExtensionsString\n",NULL);
    Tcl_AppendResult(interp,"  ExtensionSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadExtension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadSupportedExtension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadCorePromotedExtension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadAsARBExtension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDriverVersionMajor\n",NULL);
    Tcl_AppendResult(interp,"  GetDriverVersionMinor\n",NULL);
    Tcl_AppendResult(interp,"  GetDriverVersionPatch\n",NULL);
    Tcl_AppendResult(interp,"  GetDriverGLVersionMajor\n",NULL);
    Tcl_AppendResult(interp,"  GetDriverGLVersionMinor\n",NULL);
    Tcl_AppendResult(interp,"  GetDriverGLVersionPatch\n",NULL);
    Tcl_AppendResult(interp,"  DriverIsATI\n",NULL);
    Tcl_AppendResult(interp,"  DriverIsNvidia\n",NULL);
    Tcl_AppendResult(interp,"  DriverIsIntel\n",NULL);
    Tcl_AppendResult(interp,"  DriverIsMesa\n",NULL);
    Tcl_AppendResult(interp,"  DriverIsMicrosoft\n",NULL);
    Tcl_AppendResult(interp,"  DriverVersionIs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DriverVersionIs\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DriverVersionIs\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DriverVersionAtLeast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DriverVersionAtLeast\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DriverVersionAtLeast\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DriverGLVersionIs\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DriverGLVersionIs\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DriverGLRendererIs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DriverGLRendererHas\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DriverGLRendererHasToken\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DriverGLRendererIsOSMesa\n",NULL);
    Tcl_AppendResult(interp,"  GetDriverGLVendor\n",NULL);
    Tcl_AppendResult(interp,"  GetDriverGLVersion\n",NULL);
    Tcl_AppendResult(interp,"  GetDriverGLRenderer\n",NULL);
    Tcl_AppendResult(interp,"  GetIgnoreDriverBugs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIgnoreDriverBugs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IgnoreDriverBugsOn\n",NULL);
    Tcl_AppendResult(interp,"  IgnoreDriverBugsOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "GetExtensionsString" );
    Tcl_DStringAppendElement ( &dString, "ExtensionSupported" );
    Tcl_DStringAppendElement ( &dString, "LoadExtension" );
    Tcl_DStringAppendElement ( &dString, "LoadSupportedExtension" );
    Tcl_DStringAppendElement ( &dString, "LoadCorePromotedExtension" );
    Tcl_DStringAppendElement ( &dString, "LoadAsARBExtension" );
    Tcl_DStringAppendElement ( &dString, "GetDriverVersionMajor" );
    Tcl_DStringAppendElement ( &dString, "GetDriverVersionMinor" );
    Tcl_DStringAppendElement ( &dString, "GetDriverVersionPatch" );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVersionMajor" );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVersionMinor" );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVersionPatch" );
    Tcl_DStringAppendElement ( &dString, "DriverIsATI" );
    Tcl_DStringAppendElement ( &dString, "DriverIsNvidia" );
    Tcl_DStringAppendElement ( &dString, "DriverIsIntel" );
    Tcl_DStringAppendElement ( &dString, "DriverIsMesa" );
    Tcl_DStringAppendElement ( &dString, "DriverIsMicrosoft" );
    Tcl_DStringAppendElement ( &dString, "DriverVersionIs" );
    Tcl_DStringAppendElement ( &dString, "DriverVersionIs" );
    Tcl_DStringAppendElement ( &dString, "DriverVersionIs" );
    Tcl_DStringAppendElement ( &dString, "DriverVersionAtLeast" );
    Tcl_DStringAppendElement ( &dString, "DriverVersionAtLeast" );
    Tcl_DStringAppendElement ( &dString, "DriverVersionAtLeast" );
    Tcl_DStringAppendElement ( &dString, "DriverGLVersionIs" );
    Tcl_DStringAppendElement ( &dString, "DriverGLVersionIs" );
    Tcl_DStringAppendElement ( &dString, "DriverGLRendererIs" );
    Tcl_DStringAppendElement ( &dString, "DriverGLRendererHas" );
    Tcl_DStringAppendElement ( &dString, "DriverGLRendererHasToken" );
    Tcl_DStringAppendElement ( &dString, "DriverGLRendererIsOSMesa" );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVendor" );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVersion" );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreDriverBugs" );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreDriverBugs" );
    Tcl_DStringAppendElement ( &dString, "IgnoreDriverBugsOn" );
    Tcl_DStringAppendElement ( &dString, "IgnoreDriverBugsOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkOpenGLExtensionManager *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the render window to query extensions on.  If set to null,\n justs queries the current render window.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the render window to query extensions on.  If set to null,\n justs queries the current render window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderWindow(vtkRenderWindow *renwin);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Updates the extensions string.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtensionsString */
    if ( strcmp ( argv[2], "GetExtensionsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtensionsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtensionsString */
    Tcl_DStringAppendElement ( &dString, " Returns a string listing all available extensions.  Call Update first\n to validate this string.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetExtensionsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetExtensionsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExtensionSupported */
    if ( strcmp ( argv[2], "ExtensionSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExtensionSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExtensionSupported */
    Tcl_DStringAppendElement ( &dString, " Returns true if the extension is supported, false otherwise.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ExtensionSupported(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for ExtensionSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadExtension */
    if ( strcmp ( argv[2], "LoadExtension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadExtension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadExtension */
    Tcl_DStringAppendElement ( &dString, " Loads all the functions associated with the given extension into the\n appropriate static members of vtkgl. This method emits a warning if the\n requested extension is not supported. It emits an error if the extension\n does not load successfully.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LoadExtension(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for LoadExtension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadSupportedExtension */
    if ( strcmp ( argv[2], "LoadSupportedExtension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadSupportedExtension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadSupportedExtension */
    Tcl_DStringAppendElement ( &dString, " Returns true if the extension is supported and loaded successfully,\n false otherwise. This method will \"fail silently/gracefully\" if the\n extension is not supported or does not load properly. It emits neither\n warnings nor errors. It is up to the caller to determine if the\n extension loaded properly by paying attention to the return value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int LoadSupportedExtension(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for LoadSupportedExtension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadCorePromotedExtension */
    if ( strcmp ( argv[2], "LoadCorePromotedExtension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadCorePromotedExtension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadCorePromotedExtension */
    Tcl_DStringAppendElement ( &dString, " Loads all the functions associated with the given core-promoted extension\n into the appropriate static members of vtkgl associated with the OpenGL\n version that promoted the extension as a core feature. This method emits a\n warning if the requested extension is not supported. It emits an error if\n the extension does not load successfully.\n\n For instance, extension GL_ARB_multitexture was promoted as a core\n feature into OpenGL 1.3. An implementation that uses this\n  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LoadCorePromotedExtension(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for LoadCorePromotedExtension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LoadAsARBExtension */
    if ( strcmp ( argv[2], "LoadAsARBExtension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LoadAsARBExtension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LoadAsARBExtension */
    Tcl_DStringAppendElement ( &dString, " Similar to LoadCorePromotedExtension().\n It loads an EXT extension into the pointers of its ARB equivalent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LoadAsARBExtension(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for LoadAsARBExtension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDriverVersionMajor */
    if ( strcmp ( argv[2], "GetDriverVersionMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDriverVersionMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDriverVersionMajor */
    Tcl_DStringAppendElement ( &dString, " Return the driver's version parts. This may be used for\n fine grained feature testing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDriverVersionMajor();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetDriverVersionMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDriverVersionMinor */
    if ( strcmp ( argv[2], "GetDriverVersionMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDriverVersionMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDriverVersionMinor */
    Tcl_DStringAppendElement ( &dString, " Return the driver's version parts. This may be used for\n fine grained feature testing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDriverVersionMinor();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetDriverVersionMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDriverVersionPatch */
    if ( strcmp ( argv[2], "GetDriverVersionPatch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDriverVersionPatch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDriverVersionPatch */
    Tcl_DStringAppendElement ( &dString, " Return the driver's version parts. This may be used for\n fine grained feature testing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDriverVersionPatch();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetDriverVersionPatch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDriverGLVersionMajor */
    if ( strcmp ( argv[2], "GetDriverGLVersionMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVersionMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDriverGLVersionMajor */
    Tcl_DStringAppendElement ( &dString, " Get GL API version that the driver provides. This is\n often different than the GL version that VTK recognizes\n so only use this for identifying a specific driver.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDriverGLVersionMajor();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetDriverGLVersionMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDriverGLVersionMinor */
    if ( strcmp ( argv[2], "GetDriverGLVersionMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVersionMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDriverGLVersionMinor */
    Tcl_DStringAppendElement ( &dString, " Get GL API version that the driver provides. This is\n often different than the GL version that VTK recognizes\n so only use this for identifying a specific driver.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDriverGLVersionMinor();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetDriverGLVersionMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDriverGLVersionPatch */
    if ( strcmp ( argv[2], "GetDriverGLVersionPatch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVersionPatch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDriverGLVersionPatch */
    Tcl_DStringAppendElement ( &dString, " Get GL API version that the driver provides. This is\n often different than the GL version that VTK recognizes\n so only use this for identifying a specific driver.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDriverGLVersionPatch();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetDriverGLVersionPatch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverIsATI */
    if ( strcmp ( argv[2], "DriverIsATI" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverIsATI" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverIsATI */
    Tcl_DStringAppendElement ( &dString, " Test's for common implementors of rendering drivers. This may be used for\n fine grained feature testing. Note: DriverIsMesa succeeds for OS Mesa,\n use DriverGLRendererIsOSMessa to differentiate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverIsATI();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverIsATI */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverIsNvidia */
    if ( strcmp ( argv[2], "DriverIsNvidia" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverIsNvidia" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverIsNvidia */
    Tcl_DStringAppendElement ( &dString, " Test's for common implementors of rendering drivers. This may be used for\n fine grained feature testing. Note: DriverIsMesa succeeds for OS Mesa,\n use DriverGLRendererIsOSMessa to differentiate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverIsNvidia();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverIsNvidia */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverIsIntel */
    if ( strcmp ( argv[2], "DriverIsIntel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverIsIntel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverIsIntel */
    Tcl_DStringAppendElement ( &dString, " Test's for common implementors of rendering drivers. This may be used for\n fine grained feature testing. Note: DriverIsMesa succeeds for OS Mesa,\n use DriverGLRendererIsOSMessa to differentiate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverIsIntel();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverIsIntel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverIsMesa */
    if ( strcmp ( argv[2], "DriverIsMesa" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverIsMesa" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverIsMesa */
    Tcl_DStringAppendElement ( &dString, " Test's for common implementors of rendering drivers. This may be used for\n fine grained feature testing. Note: DriverIsMesa succeeds for OS Mesa,\n use DriverGLRendererIsOSMessa to differentiate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverIsMesa();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverIsMesa */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverIsMicrosoft */
    if ( strcmp ( argv[2], "DriverIsMicrosoft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverIsMicrosoft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverIsMicrosoft */
    Tcl_DStringAppendElement ( &dString, " Test's for common implementors of rendering drivers. This may be used for\n fine grained feature testing. Note: DriverIsMesa succeeds for OS Mesa,\n use DriverGLRendererIsOSMessa to differentiate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverIsMicrosoft();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverIsMicrosoft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverVersionIs */
    if ( strcmp ( argv[2], "DriverVersionIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverVersionIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverVersionIs */
    Tcl_DStringAppendElement ( &dString, " Test for a specific driver version.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverVersionIs(int major);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverVersionIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverVersionIs */
    if ( strcmp ( argv[2], "DriverVersionIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverVersionIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverVersionIs */
    Tcl_DStringAppendElement ( &dString, " Test for a specific driver version.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverVersionIs(int major, int minor);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverVersionIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverVersionIs */
    if ( strcmp ( argv[2], "DriverVersionIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverVersionIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverVersionIs */
    Tcl_DStringAppendElement ( &dString, " Test for a specific driver version.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverVersionIs(int major, int minor, int patch);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverVersionIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverVersionAtLeast */
    if ( strcmp ( argv[2], "DriverVersionAtLeast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverVersionAtLeast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverVersionAtLeast */
    Tcl_DStringAppendElement ( &dString, " Test for driver version greater than or equal\n to the named version.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverVersionAtLeast(int major);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverVersionAtLeast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverVersionAtLeast */
    if ( strcmp ( argv[2], "DriverVersionAtLeast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverVersionAtLeast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverVersionAtLeast */
    Tcl_DStringAppendElement ( &dString, " Test for driver version greater than or equal\n to the named version.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverVersionAtLeast(int major, int minor);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverVersionAtLeast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverVersionAtLeast */
    if ( strcmp ( argv[2], "DriverVersionAtLeast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverVersionAtLeast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverVersionAtLeast */
    Tcl_DStringAppendElement ( &dString, " Test for driver version greater than or equal\n to the named version.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverVersionAtLeast(int major, int minor, int patch);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverVersionAtLeast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverGLVersionIs */
    if ( strcmp ( argv[2], "DriverGLVersionIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverGLVersionIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverGLVersionIs */
    Tcl_DStringAppendElement ( &dString, " Test for the driver's GL version as reported in\n its GL_VERSION string. This is intended for driver\n identification only, use ExtensionSuppported\n to test for VTK support of a specific GL version.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverGLVersionIs(int major, int minor, int patch);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverGLVersionIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverGLVersionIs */
    if ( strcmp ( argv[2], "DriverGLVersionIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverGLVersionIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverGLVersionIs */
    Tcl_DStringAppendElement ( &dString, " Test for the driver's GL version as reported in\n its GL_VERSION string. This is intended for driver\n identification only, use ExtensionSuppported\n to test for VTK support of a specific GL version.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverGLVersionIs(int major, int minor);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverGLVersionIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverGLRendererIs */
    if ( strcmp ( argv[2], "DriverGLRendererIs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverGLRendererIs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverGLRendererIs */
    Tcl_DStringAppendElement ( &dString, " Test for a specific renderer. This could be used\n in some cases to identify the graphics card or\n specific driver. Use HasToken to prevent false\n matches eg. avoid GeForce4 matching GeForce400\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverGLRendererIs(const char *str);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverGLRendererIs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverGLRendererHas */
    if ( strcmp ( argv[2], "DriverGLRendererHas" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverGLRendererHas" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverGLRendererHas */
    Tcl_DStringAppendElement ( &dString, " Test for a specific renderer. This could be used\n in some cases to identify the graphics card or\n specific driver. Use HasToken to prevent false\n matches eg. avoid GeForce4 matching GeForce400\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverGLRendererHas(const char *str);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverGLRendererHas */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverGLRendererHasToken */
    if ( strcmp ( argv[2], "DriverGLRendererHasToken" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverGLRendererHasToken" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverGLRendererHasToken */
    Tcl_DStringAppendElement ( &dString, " Test for a specific renderer. This could be used\n in some cases to identify the graphics card or\n specific driver. Use HasToken to prevent false\n matches eg. avoid GeForce4 matching GeForce400\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverGLRendererHasToken(const char *str);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverGLRendererHasToken */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DriverGLRendererIsOSMesa */
    if ( strcmp ( argv[2], "DriverGLRendererIsOSMesa" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DriverGLRendererIsOSMesa" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DriverGLRendererIsOSMesa */
    Tcl_DStringAppendElement ( &dString, " Test for Mesa's offscreen renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool DriverGLRendererIsOSMesa();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for DriverGLRendererIsOSMesa */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDriverGLVendor */
    if ( strcmp ( argv[2], "GetDriverGLVendor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVendor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDriverGLVendor */
    Tcl_DStringAppendElement ( &dString, " Get the OpenGL version, vendor and renderer strings. These can\n be used to idnetify a specific driver.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDriverGLVendor();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetDriverGLVendor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDriverGLVersion */
    if ( strcmp ( argv[2], "GetDriverGLVersion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLVersion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDriverGLVersion */
    Tcl_DStringAppendElement ( &dString, " Get the OpenGL version, vendor and renderer strings. These can\n be used to idnetify a specific driver.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDriverGLVersion();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetDriverGLVersion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDriverGLRenderer */
    if ( strcmp ( argv[2], "GetDriverGLRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDriverGLRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDriverGLRenderer */
    Tcl_DStringAppendElement ( &dString, " Get the OpenGL version, vendor and renderer strings. These can\n be used to idnetify a specific driver.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetDriverGLRenderer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetDriverGLRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIgnoreDriverBugs */
    if ( strcmp ( argv[2], "GetIgnoreDriverBugs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIgnoreDriverBugs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIgnoreDriverBugs */
    Tcl_DStringAppendElement ( &dString, " When set known driver bugs are ignored during driver feature\n detection. This is used to evaluate the status of a new driver\n release to see if the bugs have been fixed. The function takes\n a description argument which, is sent to VTK's warning stream\n when the ignore flag is set. This makes the test output searchable\n for tests which have problems with certain drivers. The CMakeLists\n variable VTK_IGNORE_GLDRIVER_BUGS can be used to set this at\n build time. Default  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetIgnoreDriverBugs(const char *description);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for GetIgnoreDriverBugs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIgnoreDriverBugs */
    if ( strcmp ( argv[2], "SetIgnoreDriverBugs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIgnoreDriverBugs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIgnoreDriverBugs */
    Tcl_DStringAppendElement ( &dString, " When set known driver bugs are ignored during driver feature\n detection. This is used to evaluate the status of a new driver\n release to see if the bugs have been fixed. The function takes\n a description argument which, is sent to VTK's warning stream\n when the ignore flag is set. This makes the test output searchable\n for tests which have problems with certain drivers. The CMakeLists\n variable VTK_IGNORE_GLDRIVER_BUGS can be used to set this at\n build time. Default  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIgnoreDriverBugs(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for SetIgnoreDriverBugs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnoreDriverBugsOn */
    if ( strcmp ( argv[2], "IgnoreDriverBugsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnoreDriverBugsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnoreDriverBugsOn */
    Tcl_DStringAppendElement ( &dString, " When set known driver bugs are ignored during driver feature\n detection. This is used to evaluate the status of a new driver\n release to see if the bugs have been fixed. The function takes\n a description argument which, is sent to VTK's warning stream\n when the ignore flag is set. This makes the test output searchable\n for tests which have problems with certain drivers. The CMakeLists\n variable VTK_IGNORE_GLDRIVER_BUGS can be used to set this at\n build time. Default  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnoreDriverBugsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for IgnoreDriverBugsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IgnoreDriverBugsOff */
    if ( strcmp ( argv[2], "IgnoreDriverBugsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IgnoreDriverBugsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IgnoreDriverBugsOff */
    Tcl_DStringAppendElement ( &dString, " When set known driver bugs are ignored during driver feature\n detection. This is used to evaluate the status of a new driver\n release to see if the bugs have been fixed. The function takes\n a description argument which, is sent to VTK's warning stream\n when the ignore flag is set. This makes the test output searchable\n for tests which have problems with certain drivers. The CMakeLists\n variable VTK_IGNORE_GLDRIVER_BUGS can be used to set this at\n build time. Default  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void IgnoreDriverBugsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager" );
    /* Closing for IgnoreDriverBugsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
