// tcl wrapper for vtkRenderbuffer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderbuffer.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRenderbufferNewCommand()
{
  vtkRenderbuffer *temp = vtkRenderbuffer::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderbufferCppCommand(vtkRenderbuffer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkRenderbufferCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRenderbufferCppCommand(static_cast<vtkRenderbuffer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderbuffer_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderbuffer"),vtkRenderbufferNewCommand,vtkRenderbufferCommand);
  return 0;
}

int VTKTCL_EXPORT vtkRenderbufferCppCommand(vtkRenderbuffer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderbuffer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderbuffer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderbuffer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderbuffer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderbuffer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderbuffer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderbuffer");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsSupported",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandle",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetHandle();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetContext",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetContext(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContext",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetContext();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("CreateColorAttachment",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->CreateColorAttachment(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateDepthAttachment",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->CreateDepthAttachment(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 5))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    unsigned int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->Create(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRenderbufferCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderbuffer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandle\n",NULL);
    Tcl_AppendResult(interp,"  SetContext\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContext\n",NULL);
    Tcl_AppendResult(interp,"  CreateColorAttachment\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateDepthAttachment\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    Tcl_DStringAppendElement ( &dString, "GetHandle" );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    Tcl_DStringAppendElement ( &dString, "CreateColorAttachment" );
    Tcl_DStringAppendElement ( &dString, "CreateDepthAttachment" );
    Tcl_DStringAppendElement ( &dString, "Create" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderbuffer *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSupported */
    if ( strcmp ( argv[2], "IsSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSupported */
    Tcl_DStringAppendElement ( &dString, " Returns if the context supports the required extensions.\n Extension will be loaded when the conetxt is set.\n" );
    Tcl_DStringAppendElement ( &dString, "static bool IsSupported(vtkRenderWindow *renWin);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for IsSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandle */
    if ( strcmp ( argv[2], "GetHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandle */
    Tcl_DStringAppendElement ( &dString, " Get the name of the buffer for use opengl code.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetHandle();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for GetHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContext */
    if ( strcmp ( argv[2], "SetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContext */
    Tcl_DStringAppendElement ( &dString, " Setting the context has the side affect of initializing OpenGL\n required extensions and allocates an OpenGL name(handle) that is\n released when the object is destroyed. NOTE: the reference count\n to the passed in object is not incremented. Contex must be set\n prior to other use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetContext(vtkRenderWindow *win);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for SetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContext */
    if ( strcmp ( argv[2], "GetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContext */
    Tcl_DStringAppendElement ( &dString, " Setting the context has the side affect of initializing OpenGL\n required extensions and allocates an OpenGL name(handle) that is\n released when the object is destroyed. NOTE: the reference count\n to the passed in object is not incremented. Contex must be set\n prior to other use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetContext();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for GetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateColorAttachment */
    if ( strcmp ( argv[2], "CreateColorAttachment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateColorAttachment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateColorAttachment */
    Tcl_DStringAppendElement ( &dString, " Sets up an RGBAF renderbufffer for use as a color attachment. Use mode\n to control READ or DRAW operation.\n" );
    Tcl_DStringAppendElement ( &dString, "int CreateColorAttachment(unsigned int width, unsigned int height);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for CreateColorAttachment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDepthAttachment */
    if ( strcmp ( argv[2], "CreateDepthAttachment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDepthAttachment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDepthAttachment */
    Tcl_DStringAppendElement ( &dString, " Sets up an DEPTH renderbufffer for use as a color attachment. Use mode\n to control READ or DRAW operation.\n" );
    Tcl_DStringAppendElement ( &dString, "int CreateDepthAttachment(unsigned int width, unsigned int height);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for CreateDepthAttachment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Create */
    if ( strcmp ( argv[2], "Create" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Create" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Create */
    Tcl_DStringAppendElement ( &dString, " Sets up an renderbufffer. Use mode to control READ or DRAW operation and\n format to control the internal format. (see OpenGL doc for more info)\n" );
    Tcl_DStringAppendElement ( &dString, "int Create(unsigned int format, unsigned int width, unsigned int height);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderbuffer" );
    /* Closing for Create */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
